detekt-api
1.21.0-RC2

# SeverityLevel

enum SeverityLevel : Enum < SeverityLevel >
Content copied to clipboard

The severity level for each Issue. This will be printed to the output, such as XML or Sarif.

In the future, this will be used to determine the process result and reports.

## Entries

ERROR
Link copied to clipboard
ERROR
Content copied to clipboard

Fail the cli process or gradle task.

WARNING
Link copied to clipboard
WARNING
Content copied to clipboard

Report issue and contribute to the total count, but does not fail cli process or gradle task.

INFO
Link copied to clipboard
INFO
Content copied to clipboard

Report issue, does not contribute to the count.

## Properties

name
Link copied to clipboard
val name : String
Content copied to clipboard
ordinal
Link copied to clipboard
val ordinal : Int
Content copied to clipboard